<template>
  <q-card>
    <q-card-section>
      <q-btn icon="delete" color="red" @click="deleteportofolio" />
      <q-input label="Nama Proyek" v-model="portofolio.project_name" @input="updateportofolio" />
      <q-input label="Nama Perusahaan" v-model="portofolio.company_name" @input="updateportofolio" />
      <q-input label="Jabatan" v-model="portofolio.position" @input="updateportofolio" />
      <q-input label="Tahun Awal" v-model="portofolio.year.start" @input="updateportofolio" />
      <q-input label="Tahun Akhir" v-model="portofolio.year.end" @input="updateportofolio" />
      <q-input label="Kota" v-model="portofolio.project_place" @input="updateportofolio" />
    </q-card-section>
  </q-card>
</template>

<script>
export default {
  name: 'FormPortofolio',
  data () {
    return {
      portofolio: {
        year: {
          start: 0,
          end: 0,
        }
      }
    }
  },
  mounted() {
    this.portofolio = this.$attrs.portofolio;
    this.portofolio.index = this.$attrs.index;
  },

  methods: {
    deleteportofolio: function () {
      this.$emit("deletePortofolio");
    },
    updateportofolio: function () {
      this.$emit("updatePortofolio", this.portofolio)
    }
  }
}
</script>
